* {
  box-sizing: border-box;
  margin: 0;
}
body {
  width: 100vw;
  padding: 0;
  overflow-x: hidden;
  overflow-y: auto;
  min-width: 320px;

  /* Firefox 隱藏 scrollbar */
  scrollbar-width: none;
}

/* Chrome, Edge, Safari 隱藏 scrollbar */
html::-webkit-scrollbar,
body::-webkit-scrollbar {
  display: none;
}

.layout {
  position: relative;
  background-color: var(--color-white);
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-start;
  text-align: left;
  color: var(--color-black);
  font-family: var(--font-instrument-sans);
  font-size: 16px;
  line-height: 20px;
}
.scroll-container {
  height: 101vh;
  overflow-y: auto;
  overflow-x: hidden; 
  overscroll-behavior: contain; 
  -webkit-overflow-scrolling: touch;
}
.hero {
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  padding: 68px var(--padding-3xl);
  box-sizing: border-box;
  color: var(--color-lightgoldenrodyellow);
  scroll-snap-align: start;
}
.hero-video {
  position: fixed;
  background-color: #CBC8C1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  object-fit: cover;
  z-index: 0;
  opacity: 1;
  pointer-events: none !important;
  touch-action: auto !important;
  -webkit-overflow-scrolling: touch !important; 
  transform: translateZ(0);
}
.hero-video-in{
  width: 100%;
  height: 100vh;
  object-fit: cover;
  pointer-events: none !important;
  touch-action: auto !important;
  -webkit-overflow-scrolling: touch !important; 
  transform: translateZ(0);
}
.hero-txt {
  width: auto;
  position: relative;
  letter-spacing: -0.01em;
  display: block;
  overflow: hidden;
  z-index: 2;
  opacity: 0;
}
#text2 {
  display: none; /* 元素完全不會佔用空間 */
}
.hero-txt-mask{
  overflow: hidden;
  display: inline-block;
  opacity: 1;
}
h1{
  font-size: 120px;
  line-height: 120px;
  font-weight: 600;
}
h2{
  letter-spacing: -0.01em;
  line-height: 100px;
  font-weight: 600;
  font-size: var(--font-size-4xl);
}
h3{
  font-size: var(--font-size-3xl);
  line-height: 85px;
  letter-spacing: -0.01em;
  font-weight: 500;
}
h4 {
  letter-spacing: -0.01em;
  line-height: 65px;
  font-weight: 500;
  font-size: var(--font-size-2xl);
}
h5 {
  letter-spacing: -0.01em;
  font-size: var(--font-size-xl);
  line-height: 45px;
  font-weight: 500;
}
h6 {
  font-size: var(--font-size-lg);
  letter-spacing: -0.01em;
  line-height: 45px;
  font-weight: 600;
}
button {
  border: none;
  outline: none;
  cursor: pointer;
}
.Knitup-transforms {
  align-self: stretch;
  width: 100%;
  position: relative;
  letter-spacing: -0.01em;
}
.we-offer-container {
  width: 428px;
  position: relative;
  letter-spacing: -0.02em;
  padding-bottom: 36px;
  display: inline-block;
  flex-shrink: 0;
}
.s2-line {
  display: block;
  width: 2px;
  position: relative;
  border-right: 2px solid var(--color-black);
  box-sizing: border-box;
  height: 332px;
}
.essentialOr {
  width: auto;
  background-color: var(--color-black-200);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  text-align: left;
  font-size: 25px;
  line-height: 35px;
  letter-spacing: -0.02em;
  color: var(--color-white);
  z-index: 3;
  padding: 10px 14px;
  flex-wrap: wrap;
}
.section2 {
  display: flex;
  width: 100%;
  height: 100vh;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  padding: var(--padding-2xl) var(--padding-3xl);
  box-sizing: border-box;
  z-index: 1;
  scroll-snap-align: start;
}
.s2-content {
  align-self: stretch;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-end;
  gap: 20px;
}
.s2-container {
  align-self: stretch;
  display: flex;
  flex: 1;
  overflow: hidden;
  flex-direction: row;
  align-items: flex-end;
  justify-content: space-between;
  gap: var(--gap-0);
}
.s2-contentcontainer {
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: space-between;
  padding: 0 3px 0 0;
  gap: 40px;
}
.essentials {
  background-color: #0d00ff;
  padding: 20px 20px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}
.weeks {
  color: var(--color-black);
}
.no-minimums {
  width: 448px;
  position: relative;
  font-size: var(--font-size-lg);
  line-height: 45px;
  font-weight: 600;
  text-align: left;
  padding: 0 20px;
  display: inline-block;
  color: var(--color-black);
}
.section3 {
  align-self: stretch;
  display: flex;
  box-sizing: border-box;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 92px 0;
  z-index: 2;
  text-align: center;
  color: var(--color-white);
  scroll-snap-align: start;
}
.s3-content {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: flex-end;
  gap: 18px;
}
.s3-container {
  position: sticky;
  top: calc(50vh - 280px);
  align-self: stretch;
  display: flex;
  box-sizing: border-box;
  height: 560px;
  overflow: hidden;
  flex-shrink: 0;
  flex-direction: column;
  align-items: flex-end;
  justify-content: space-between;
  padding: 0 var(--padding-3xl);
  gap: var(--gap-0);
  z-index: 2;
}
.s3-slider-wrap {
  margin-top: -560px;
  width: 100%;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 50vh 0;
  z-index: 1; 
}
.wrap img {
  width:20vw; max-width:300px; min-width:100px; object-fit:cover;
}
.speedWhen {
  position: relative;
  width: 440px;
  font-weight: 500;
  color: var(--color-black-200);
  text-align: left;
  display: inline-block;
  flex-shrink: 0;
}
.craftWhen {
  align-self: stretch;
  display: flex;
  width: 471px;
  position: relative;
  font-weight: 500;
  align-items: flex-end;
  flex-shrink: 0;
}
.atelier {
  display: flex;
  background-color: var(--color-lightgoldenrodyellow);
  border: 1px solid var(--color-black);
  box-sizing: border-box;
  padding: 20px 20px;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}
.more-yarns {
  position: relative;
  font-size: var(--font-size-lg);
  line-height: 45px;
  font-weight: 600;
  display: inline-block;
}
.btn-txt {
  position: relative;
  letter-spacing: -0.01em;
  line-height: 25px;
  font-weight: 500;
  font-size: var(--font-size-rg);
}
.btn-whichisbest {
  border-radius: var(--br-rg);
  background-color: var(--color-white);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: 14px 20px;
  color: var(--color-black-200);
}
.more-yarns-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: var(--gap-rg);
  text-align: left;
  color: var(--color-white);
  padding: 0px 20px;
}
.s4-container,
.s4-content {
  align-self: stretch;
  display: flex;
}
.s4-content {
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: var(--gap-rg);
  text-align: center;
  color: var(--color-black-200);
}
.s4-container {
  height: 500px;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding: 0 var(--padding-3xl);
  box-sizing: border-box;
  gap: var(--gap-0);
}
.img-icon,
.img-icon1,
.img-icon2,
.img-icon3 {
  width: 509px;
  position: relative;
  max-height: 100%;
  object-fit: cover;
}
.img-icon1,
.img-icon2,
.img-icon3 {
  width: 366.4px;
}
.img-icon2,
.img-icon3 {
  width: 544px;
}
.img-icon3 {
  width: 284px;
}
/* .s4-carousel {
  align-self: stretch;
  display: flex;
  justify-content: flex-start;
  height: 390px;
  flex-direction: row;
  align-items: flex-end;
  gap: var(--gap-xs);
} */
.section4 {
  position: relative;
  align-self: stretch;
  display: flex;
  justify-content: flex-start;
  background-color: var(--color-black);
  overflow: hidden;
  flex-direction: column;
  align-items: center;
  padding: 200px 0 var(--padding-2xl);
  gap: 124px;
  z-index: 3;
  min-height: 100vh;
  font-size: var(--font-size-3xl);
  color: var(--color-white);
  scroll-snap-align: start;
}
.floating-element {
  position: absolute; 
  top: 8%; 
  left: 50%; 
  transform: translateX(-50%);
  z-index: 100; 
  padding: 1.5rem 3rem; 
  font-size: 150px;
  font-weight: bold; 
  text-align: center;
  pointer-events:none;
  /* opacity: 0; */
  color: var(--color-white);
}

/* s4-slider */
.s4-slider {
  background: rgb(0, 0, 0);
  height: 380px;
  width: 100%;
  margin: auto;
  overflow: hidden;
  position: relative;
}
.s4-slider .s4-slide-track {
  animation: s4-scroll 40s linear infinite;
  display: flex;
  width: max-content;
  gap: 12px;
  padding-right: 12px;
}
.s4-slider .s4-slide {
  height: 380px;
  width: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}
.s4-slider .s4-slide img {
  height: 100%;
  width: auto;
  object-fit: contain;
}
@keyframes s4-scroll {
  0% {
      transform: translateX(0);
  }
  100% {
    transform: translateX(calc(-33.3333% - 0px));
  }
}

.the-new-era {
  position: relative;
  font-size: var(--font-size-md);
  line-height: 35px;
  letter-spacing: -0.01em;
}
.s5-title {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  text-align: center;
  gap: 28px;
}
.s5-video {
  align-self: stretch;
  flex: 1;
  max-width: 100%;
  max-height: 100%;
  object-fit: cover;
  position: relative;
  overflow: hidden;
}
.icon-24 {
  width: 24px;
  height: 24px;
  flex-shrink: 0;
}
.icon-dropdown-32 {
  width: 32px;
  height: 32px;
  flex-shrink: 0;
  cursor: pointer;
}
.icon-pull-32 {
  width: 32px;
  height: 32px;
  flex-shrink: 0;
  cursor: pointer;
  display: none;
}
.btn-knitupadvantage {
  border-radius: var(--br-rg);
  background-color: rgba(242, 123, 19, 0.8);
  height: 54px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  padding: 0 22px;
  box-sizing: border-box;
  text-decoration: none;
  color: #000 !important;
  gap: 8px;
}
.s5-btncontainer {
  display: flex;
  align-self: stretch;
  justify-content: center;
  flex-direction: row;
  align-items: flex-start;
  margin-top: -27px;
  position: relative;
  scale: 1,
}
.s5-video-container {
  display: flex;
  justify-content: flex-start;
  align-self: stretch;
  flex: 1;
  flex-direction: column;
  align-items: flex-end;
}
.knitup-rethinks {
  width: 360px;
  position: relative;
  letter-spacing: -0.01em;
  color: var(--color-black);
}
.s5-content {
  align-self: stretch;
  display: flex;
  align-items: center;
  height: 600px;
  flex-direction: row;
  justify-content: flex-start;
  gap: var(--gap-lg);
  text-align: left;
  color: var(--color-black-200);
}
.section5 {
  position: relative;
  align-self: stretch;
  display: flex;
  align-items: center;
  height: 1170px;
  flex-direction: column;
  justify-content: center;
  padding: 108px var(--padding-3xl);
  box-sizing: border-box;
  min-height: 100vh;
  gap: 80px;
  z-index: 4;
  scroll-snap-align: start;
}


/* pop up */
.pop-up {
  position: absolute;
  display: none; /* Hidden by default */
  align-items: center;
  right: 2%;
  bottom: 0;
  left: 2%;
  background-color: #f27b13;
  flex-direction: column;
  justify-content: space-between;
  box-sizing: border-box;
  padding: 2.7vw 3.4vw;
  gap: 2vw;
  z-index: 100;
}
.space1 {
  width: 64px;
}
.icon-close-big {
  height: 32px;
  width: 32px;
  position: relative;
  overflow: hidden;
  flex-shrink: 0;
  cursor: pointer;
}
.close {
  align-self: stretch;
  height: 32px;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: space-between;
  gap: var(--gap-0);
}
.pp-card-content {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 20px;
}
.pp-card {
  flex: 1;
  min-width: 0; 
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  border-radius: var(--br-sm);
  background-color: var(--color-white);
  gap: 1vw;
  padding: 2vw 2vw;
}
.pp-card-img {
  position: relative;
  width: 70%;
  max-width: 348px;
  overflow: hidden;
}
.pp-card-title {
  letter-spacing: -0.01em;
  font-size: 2.8vw;
  line-height: 3vw;
  font-weight: 500;
}
.pp-card-txt {
  font-size: 1.1vw;
  line-height: 1.4vw;
}
.pp-cards {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 2vw;
}




.section6 {
  position: relative;
  scroll-snap-align: start;
  background-color: #FCFBFA;
}
.scroll-bound {
  height: 500vh;
  .content {
    height: 101vh;
    width: 100%;
    position: sticky;
    top:0;
  }
  video {
    height: 101vh;
    width: 100%;
    object-fit: cover;
  }
}
/* for Safari */
.s6-video {
  height: 101vh !important;
  width: 100vw !important;
  object-fit: cover;
  z-index: 0;
}
.text-overlay {
  position: absolute;
  width: 100%;
  height: 100vh;
}
.scrollTxt {
  opacity: 0;
  transition: 1s ease; 
}
.scrollTxt.visible {
  opacity: 1;
}
.transform-you-call-the {
  transform: translateY(4%);
  transition: transform 1s ease;
}
.transform-you-call-the.visible {
  transform: translateY(0);
}
.you-call-the {
  width: 100%;
  position: absolute;
  top: 10%;
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
  font-weight: 600;
  color: var(--color-lightgoldenrodyellow);
}
.no-matter-which {
  position: absolute;
  bottom: 10%;
  left: 50%;
  transform: translateX(-50%);
  width: 90%;
  text-align: center;
  font-size: var(--font-size-md);
  letter-spacing: -0.01em;
  line-height: 35px;
  display: inline-block;
  color: var(--color-lightgoldenrodyellow);
}
.transform-features.visible {
  transform: translateY(-50%);
}
.features-yarns {
  position: absolute;
  top: 20%;
  right: 10%;
  transform: translateY(-35%);
  display: flex;
  flex-direction: column;
  width: auto;
  margin: 0;
  align-items: flex-start;
  justify-content: flex-start;
}
.features-shapes {
  position: absolute;
  top: 35%;
  left: 10%;
  transform: translateY(-35%);
  display: flex;
  flex-direction: column;
  width: auto;
  margin: 0;
  align-items: flex-start;
  justify-content: flex-start;
}
.features-stitches {
  position: absolute;
  top: 50%;
  right: 8%;
  transform: translateY(-35%);
  display: flex;
  flex-direction: column;
  width: auto;
  margin: 0;
  align-items: flex-start;
  justify-content: flex-start;
}
.features-colors {
  position: absolute;
  top: 65%;
  left: 10%;
  transform: translateY(-35%);
  display: flex;
  flex-direction: column;
  width: auto;
  margin: 0;
  align-items: flex-start;
  justify-content: flex-start;
}
.features-graphics {
  position: absolute;
  top: 80%;
  right: 12%;
  transform: translateY(-35%);
  display: flex;
  flex-direction: column;
  width: auto;
  margin: 0;
  align-items: flex-start;
  justify-content: flex-start;
}
.features-title {
  width: auto;
  height: auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  background-color: var(--color-blue);
  color: var(--color-white);
  font-size: var(--font-size-lg);
  letter-spacing: -0.01em;
  line-height: 40px;
  padding: 3.5px 12px;
}
.features-desc {
  height: auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: var(--padding-xs) var(--padding-sm);
  box-sizing: border-box;
  font-size: var(--font-size-md);
  line-height: 35px;
  color: var(--color-black-200);
  background-color: rgba(255, 255, 255, 0.5);
}
.btn-knitzeroinitiative {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  text-align: center;
  width: auto;
  height: 54px;
  border-radius: var(--br-rg);
  background-color: var(--color-dimgray);
  padding: 0 24px;
  color: var(--color-white);
}
.s7-title {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 40px;
}
.knitup-is-redefining {
  align-self: stretch;
  position: relative;
  letter-spacing: -0.01em;
  display: inline-block;
  height: auto;
  flex-shrink: 0;
}
.s7-content {
  align-self: stretch;
  display: flex;
  width: 100%;
  max-width: 464px;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-end;
  gap: 24px;
}
.s7-content-title {
  color: #fff;
}
.s7-container {
  align-self: stretch;
  display: flex;
  flex: 1;
  flex-direction: row;
  justify-content: space-between;
  gap: var(--gap-0);
  opacity: 1;
}
.section7 {
  position: relative; 
  display: flex;
  height: 100vh;
  width: 100%;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  padding: var(--padding-2xl) var(--padding-3xl);
  box-sizing: border-box;
  z-index: 6;
  scroll-snap-align: start;
  overflow: hidden; 
  cursor: url('/icon/icon_cursor_greencircle.svg'), auto;
}
.revealWipe-container {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: -1;
  overflow: hidden;
}
.revealWipe-image-bottom,
.revealWipe-image-top {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover; /* 覆蓋整個容器，同時保持比例 */
  background-position: center;
  background-repeat: no-repeat;
}
.revealWipe-canvas {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 10;
}

/* s8-grid-wrapper */
.s8-grid-wrapper {
  align-self: stretch;
  position: relative;
  opacity: 1;
}
.s8-grid-wrapper > div, .s8-grid-wrapper > .a-div {
  display: flex;
  justify-content: center;
  align-items: center;
}
.s8-grid-wrapper > div > img, .s8-grid-wrapper > .a-div > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.s8-grid-wrapper {
  display: grid;
  grid-gap: 12px;
  grid-template-columns: 1fr 1fr 1fr 1fr;;
  grid-auto-rows: 25vh 45vh;
  grid-auto-flow: dense;
}
.s8-grid-wrapper .wide {
  grid-column: span 2;
}
.s8-grid-wrapper .tall {
  grid-row: span 2;
}
.s8-grid-wrapper .big {
  grid-column: span 2;
  grid-row: span 2;
}
.s8-grid-wrapper .hide {
  grid-column: span 1;
  grid-row: span 1;
}
.logowall {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  opacity: 1;
}
.logowall .logo-icon {
  flex: 1; 
  max-height: 68px;
  width: 0; 
  object-fit: contain; 
}

.section8 {
  align-self: stretch;
  display: flex;
  align-items: center;
  height: auto;
  flex-direction: column;
  justify-content: flex-start;
  padding: 80px var(--padding-3xl);
  box-sizing: border-box;
  gap: 36px;
  z-index: 7;
  text-align: center;
  color: var(--color-black-200);
  scroll-snap-align: start;
}
.section8-txt {
  max-width: 660px;
  width: 100%;
}
.s9-card-pic {
  position: relative;
  max-height: 200px;
  overflow: hidden;
  flex-shrink: 1;
}
.section9 {
  height: 100vh;
  position: relative;
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  flex-shrink: 0;
  box-sizing: border-box;
  padding-top: var(--padding-2xl) ;
  gap: var(--gap-lg);
  z-index: 8;
  scroll-snap-align: start;
}
.section9 h2 {
  padding: 0 var(--padding-3xl) ;
}
.s9-carousel {
  position: sticky;
  top: 21vh;
  height: 60vh;
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: var(--gap-md);
  color: var(--color-white);
  overflow-x: hidden;
  padding: 0 var(--padding-3xl) ;
}
.s9-cards {
  height: 60vh;
  flex: 1;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 20px;
  overflow-y: hidden;
}
.card {
  align-self: stretch;
  width: 360px;
  border-radius: var(--br-sm);
  background-color: var(--color-dimgray);
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  font-size: 30px;
  line-height: 38px;
  padding: 30px 30px;
  box-sizing: border-box;
  gap: 20px;
  font-weight: 500;
}
.card-txt {
  width: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
}
.s9-cards-space {
width: 68px;
}
.line1 {
  width: 50px;
  position: relative;
  background-color: var(--color-black-200);
  border-top: 4px solid var(--color-black);
  box-sizing: border-box;
  height: 4px;
}
.s10-txt {
  font-weight: 500;
}

.btn-learnmore {
  border-radius: var(--br-rg);
  background-color: var(--color-black-200);
  height: 54px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: 0 24px;
  color: var(--color-white);
}
.divider {
  align-self: stretch;
  position: relative;
  border-top: 2px solid var(--color-black);
  box-sizing: border-box;
  height: 2px;
}
.accordions {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  width: 568px;
  padding: 0 0 12px;
  box-sizing: border-box;
}
.accordion {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  padding: var(--padding-rg) 0 0;
  gap: 16px;
}
.accordion-header {
  all: unset; /* important */
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  gap: var(--gap-rg);
  cursor: pointer;
}
.accordion-content {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: var(--gap-rg);
}
.s10-content {
  width: 600px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  align-self: stretch;
  gap: var(--gap-sm);
  padding-bottom: 60px;
  opacity: 1;
}
.s10-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  width: 704px;
  gap: var(--gap-lg);
}
.s10-imgs {
  align-self: stretch;
  display: flex;
  flex: 1;
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-end;
}
.s10-img {
  position: relative;
  width: 100%;
  max-width: 928px;
  overflow: hidden;
  max-height: 1000px;
  object-fit: cover;
}
.section10 {
  min-height: 100vh;
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  padding: 60px 0 0px var(--padding-3xl);
  box-sizing: border-box;
  gap: var(--gap-xl);
  z-index: 9;
  scroll-snap-align: start;
}
.start-creating-with {
  position: relative;
  letter-spacing: -0.01em;
  line-height: 45px;
  font-weight: 500;
  font-size: 40px;
  color: var(--color-white);
}
.btn-startcreating {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: var(--br-rg);
  background-color: var(--color-black-200);
  flex-direction: row;
  padding: 16px 32px;
  z-index: 11;
}
.section11 {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  align-self: stretch;
  height: 100vh;
  flex-direction: column;
  z-index: 10;
  text-align: center;
  font-size: 50px;
  background-color: var(--color-dimgray);
  scroll-snap-align: start;
}
.s11-video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  object-fit: cover;
}

/* nav bar */
.nav-bar {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  width: 100%;
  display: flex;
  margin: 0 !important;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding: 12px 40px;
  box-sizing: border-box;
  z-index: 100;
  background-color: rgba(248, 248, 248, 0.01);
  backdrop-filter: blur(8px);
  -webkit-backdrop-filter: blur(8px);
  color: #000;
}
.nav-item {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: center;
  gap: 8px;
}
.nav-items {
  height: 20px;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: center;
  text-align: center;
  gap: 36px;
}
.nav-item-dropdown {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  text-align: left;
}
#nav1 {
  width: 124px;
}
#nav2 {
  width: 100px;
}
#nav3 {
  width: 40px;
}
.nav-item-dropdown-contaniner {
  display: flex;
  height: 32px;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 8px;
}
.nav-dropdown {
  position: absolute;
  top: 100%; 
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  background-color: #fff;
  border: 2px solid #000;
  padding: 20px 20px;
  gap: 16px;
  white-space: nowrap;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}
.nav-dropdown-icon {
  display: flex;
  width: 32px;
  cursor: pointer;
}
.nav-item-dropdown-contaniner:hover ~ .nav-dropdown,
.nav-dropdown:hover {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}
.nav-dropdown-icon:hover ~ .nav-dropdown,
.nav-dropdown:hover {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.nav-txt {
  font-weight: 500;
  white-space: nowrap;
}
.line3 {
  width: 16px;
  position: relative;
  border-top: 2px solid #000;
  box-sizing: border-box;
  height: 2px;
  margin-top: 8px;
}
.nav-btn {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: 0 20px;
  height: 40px;
  border-radius: 48px;
  background-color: #030301;
  color: #fff;
}
.nav-btn-outline {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: 0 20px;
  height: 40px;
  border-radius: 48px;
  font-weight: 500;
  border: 2px solid #000;
  box-sizing: border-box;
  color: #000;
}
.nav-icon {
  display: flex;
  width: 32px;
  cursor: pointer;
}
.nav-menu-icon {
  display: none;
}
.nav-btn-container {
  display: flex;
  gap: 16px;
}

/* nav-bar-mobile */
.nav-icon-close {
  width: 24px;
  height: 24px;
  position: relative;
  overflow: hidden;
  flex-shrink: 0;
  cursor: pointer;
}
.nav-bar-m-header {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}
.divider2 {
  align-self: stretch;
  position: relative;
  border-top: 2px solid #000;
  box-sizing: border-box;
  height: 2px;
}
.nav-m-title {
  font-weight: 500;
  letter-spacing: -0.01em;
  font-size: 20px;
  line-height: 25px;
}
.nav-m-txt {
  letter-spacing: -0.01em;
  font-size: 16px;
  line-height: 30px;
}
.nav-m-dropdown {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  align-self: stretch;
  justify-content: flex-start;
  gap: var(--gap-xs);
  font-size: 25px;
}
.nav-m-column-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  flex: 1;
  justify-content: center;
  gap: 16px;
}
.icon-pull {
  width: 24px;
  position: relative;
  height: 24px;
  overflow: hidden;
  flex-shrink: 0;
  cursor: pointer;
}
.nav-m-column {
  align-self: stretch;
  border-bottom: 2px solid #000;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 20px 0;
  align-items: flex-start;
}

.nav-m-container {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}
.nav-icon-m {
  display: flex;
  width: 32px;
  cursor: pointer;
}
.nav-btn-m {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: 0 20px;
  height: 40px;
  border-radius: 48px;
  background-color: #030301;
  color: #fff;
}
.nav-btn-outline-m {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: 0 20px;
  height: 40px;
  border-radius: 48px;
  font-weight: 500;
  border: 2px solid #000;
  box-sizing: border-box;
  color: #000;
}
.nav-bar-m-btns {
  display: flex;
  align-items: flex-start;
  align-self: stretch;
  flex-direction: row;
  justify-content: flex-end;
  flex-wrap: wrap;
  align-items: center;
  gap: 16px;
  font-weight: 500;
}
.nav-bar-m {
  display: none;
  align-items: flex-start;
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: #fff;
  flex-direction: column;
  justify-content: flex-start;
  padding: 32px 28px;
  box-sizing: border-box;
  gap: 32px;
  text-align: left;
  color: #000;
  z-index: 1000;
  max-height: 100vh;
  overflow-y: auto;
}
  
/* nav-bar RWD */
@media (max-width: 1280px) {
  .nav-bar {
    padding: 12px 20px;
  }
  .nav-items {
    display: none;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 36px;
  }
  .nav-menu-icon {
    display: flex;
    width: 14px;
    cursor: pointer;
  }
  .nav-icon {
    display: none;
  }
  .nav-dropdown-icon {
    display: none;
  }
  /* .nav-btn {
    display: none;
  } */
  .nav-btn-outline {
    display: none;
  }
  .knitup-logo {
    width: 90px;
  }
  #nav3 {
    display: none;
  }
}



/* footer */
footer {
  position: relative;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  background-color: #f3f3f3;
  padding: 40px 60px;
  box-sizing: border-box;
  text-align: left;
  scroll-snap-align: start;
  gap: 176px;
}
.main-content {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  align-self: stretch;
}
.footer-navs {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  width: 820px;
}
.footer-title {
  display: flex;
  width: 96px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  font-size: 18px;
  line-height: 30px;
  gap: 15px;
}
.footer-title ul {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  white-space: nowrap; 
  gap: 15px;
  font-size: 16px;
  line-height: 15px;
}
.bottom-content {
  display: flex;
  flex-direction: row;
  align-self: stretch;
  justify-content: space-between;
}
.terms {
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: flex-start;
  font-size: 16px;
  gap: 48px;
}
.social-medias {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 64px;
}
a {
  text-decoration: none;
  color: inherit;
  outline: none;
  cursor: pointer;
}
ul, li {
  margin: 0;
  padding: 0;
  list-style-type: none;
  box-sizing: border-box;
}


/* footer mobile */
.footer-knitup-logo {
  width: auto;
  position: relative;
  height: 36px;
  object-fit: cover;
}
.socials {
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: flex-start;
  gap: 30px;
}
.footer-m-title {
  position: relative;
  font-size: 18px;
  line-height: 30px;
}
.footer-m-item {
  position: relative;
  font-weight: 500;
}
.footer-m-nav {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 8px;
}
.footer-m,
.footer-m-main,
.terms1 {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: 8px;
}
.footer-m,
.footer-m-main {
  justify-content: flex-start;
  gap: 30px;
}
.footer-m-main {
  align-self: stretch;
}
.footer-m {
  display: none;
  width: 100%;
  position: relative;
  background-color: #f3f3f3;
  padding: 40px 20px;
  box-sizing: border-box;
  text-align: left;
  color: #000;
}


/* logo */
.knitup-logo {
  width: 100px;
  position: relative;
  max-height: 100%;
  object-fit: cover;
}
.knitup_logo_img {
  width: 100%;
  height: 100%;
}
.knitup_logo {
  position: absolute;
  width: 40%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 3;
}



@media (max-width: 1280px) {
  h1 {
    font-size: 80px;
    line-height: 85px;
  }
  h2{
    font-size: 60px;
    line-height: 65px;
  }
  h3{
    font-size: 60px;
    line-height: 65px;
  }
  .s2-container {
    align-self: stretch;
    display: flex;
    flex: 1;
    overflow: hidden;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
  }
  .s2-line {
    display: none;
  }
  .s2-content {
    align-items: flex-start;
    width: 100%;
  }
  .we-offer-container {
    width: 100%;
  }
  .s3-container {
    height: auto;
    top: 80px;
    gap: 40px;
  }
  .speedWhen {
    align-self: stretch;
  }
  .s4-container {
    height: auto;
    flex-direction: column;
    gap: 40px;
  }
  .knitup-rethinks {
    height: auto;
    width:auto;
  }
  .s5-content {
    flex-direction: column;
    width: auto;
    height: auto;
  }
  .section5 {
    height: auto;
  }
  .s7-container {
    flex-direction: column;
  }
  .section10 {
    flex-direction: column;
  }
  .s10-container {
    width: auto;
    padding-right: 68px;
  }
  .s10-content {
    width: auto;
  }
  .accordions {
    width: 100%;
  }
  .wrap img {
    width:40vw;
  }
  .features-title {
    font-size: 25px;
    line-height: 30px;
  }
  .features-desc {
    font-size: 20px;
    line-height: 25px;
  }
  .features-shapes {
    top: 20%;
    left: 10%;
    right: auto;
  }
  .features-yarns {
    top: 35%;
    left: 10%;
  }
  .features-stitches {
    top: 50%;
    left: 10%;
    right: auto;
  }
  .features-colors {
    top: 65%;
    left: 10%;
  }
  .features-graphics {
    top: 80%;
    left: 10%;
    right: auto;
  }
}

@media (max-width: 768px) {
  .hero {
    padding: 28px;
  }
  h1 {
    font-size: 40px;
    line-height: 45px;
  }
  h2{
    font-size: 30px;
    line-height: 35px;
  }
  h3{
    font-size: 30px;
    line-height: 35px;
  }
  h4{
    font-size: 30px;
    line-height: 35px;
  }
  h5{
    font-size: 20px;
    line-height: 25px;
  }
  h6{
    font-size: 20px;
    line-height: 25px;
  }
  .section2 {
    padding: 60px 28px;
  }
  .essentialOr {
    display: none;
  }
  .we-offer-container {
    padding-bottom: 0;
  }
  .s3-container {
    padding: 0 28px;
  }
  .essentials {
    padding: 10px;
  }
  .no-minimums {
    font-size: 20px;
    line-height: 25px;
    padding: 0 10px;
  }
  .floating-element {
    font-size: 80px;
  }
  .section4 {
    gap: 50px
  }
  .s4-container {
    padding: 0 28px;
  }
  .atelier {
    padding: 10px 10px;
  }
  .more-yarns {
    font-size: 20px;
    line-height: 25px;
  }
  .more-yarns-container {
    padding: 0 10px;
    gap: 16px;
  }
  .btn-whichisbest {
    padding: 10px 16px;
  }
  .btn-txt {
    font-size: 16px;
    line-height: 20px;
  }
  .s4-content {
    gap: 16px
  }
  .s4-slider {
    height: 200px;
  }
  .s4-slider .s4-slide {
    height: 200px;
  }
  .section5 {
    padding: 80px 28px;
    gap: 40px;
  }
  .the-new-era {
    font-size: 16px;
    line-height: 20px;
    letter-spacing: -0.01em;
  }
  .s5-title {
    gap: 20px;
  }
  .s5-content {
    gap: 40px;
  }
  .btn-knitupadvantage {
    color: #000 !important;
    height: 40px;
  }
  .no-matter-which {
    font-size: 20px;
    line-height: 25px;
  }
  .features-title {
    font-size: 20px;
    line-height: 25px;
  }
  .features-desc {
    font-size: 16px;
    line-height: 20px;
  }
  .section7 {
    padding: 60px 28px;
  }
  .s7-title {
    gap: 16px;
  }
  .btn-knitzeroinitiative {
    height: 40px;
  }
  .knitup-is-redefining {
    font-size: 12px;
    line-height: 15px;
  }
  .section8 {
    padding: 80px 28px;
  }
  .s8-grid-wrapper .hide {
    display: none;
  }
  .s8-grid-wrapper {
    grid-gap: 12px;
    grid-template-columns: 1fr 1fr;
    grid-auto-rows: 20vh 30vh 40vh;
  }
  .section9 h2 {
    padding: 28px;
  }
  .s9-carousel {
    padding: 28px;
  }
  .s9-cards-space {
    width: 28px;
  }
  .section10 {
    padding: 60px 28px 28px 28px;
    gap: 0;
  }
  .s10-container {
    gap: 32px;
    padding-right: 0px;
  }
  .s10-container h3 {
    max-width: 560px;
  }
  .btn-startcreating {
    padding: 12px 24px;
  }
  .start-creating-with {
    line-height: 25px;
    font-size: 20px;
  }
  .pop-up {
    padding: 4vw;
    gap: 4vw;
    right: 0;
    left: 0;
  }
  .pp-card {
    border-radius: 3vw;
  }
  .pp-card-txt {
    display: none;
  }
  .btn-learnmore {
    height: 40px;
  }
  .card {
    width: 240px;
    padding: 24px 28px;
    font-size: 20px;
    line-height: 25px;
  }
  .s9-card-pic {
    max-height: 100px;
  }
  .home-scoll-down {
    display: none;
  }
}

@media (max-width: 390px) {
  .pp-card-txt, .home-scoll-down {
    display: none;
  }
}



